Package org.apache.any23.rdf

## Class RDFUtilsTest

- java.lang.Object
- - org.apache.any23.rdf.RDFUtilsTest

-     public class RDFUtilsTest
      extends Object

  Reference test class for `RDFUtils`.
  Author:
    Michele Mostarda (mostarda@fbk.eu), Davide Palmisano (palmisano@gmail.com)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RDFUtilsTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `testFixAbsoluteIRI()` |
    `void` | `testGetNQuadsFormat()` | Tests the `NQuads` format support.
    `void` | `testGetNQuadsParser()` | Tests the `NQuads` parsing support.
    `void` | `testGetNQuadsWriter()` | Tests the `NQuads` writing support.
    `void` | `testGetRDFFormatByExtension()` | Tests the extension support.
    `void` | `testGetXSDDate()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RDFUtilsTest

          public RDFUtilsTest()

  - ### Method Detail

    - #### testFixAbsoluteIRI

          public void testFixAbsoluteIRI()
                                  throws UnsupportedEncodingException,
                                         URISyntaxException

      Throws:
        `UnsupportedEncodingException`
        `URISyntaxException`

    - #### testGetXSDDate

          public void testGetXSDDate()
                              throws DatatypeConfigurationException,
                                     ParseException

      Throws:
        `DatatypeConfigurationException`
        `ParseException`

    - #### testGetRDFFormatByExtension

          public void testGetRDFFormatByExtension()

      Tests the extension support.

    - #### testGetNQuadsFormat

          public void testGetNQuadsFormat()

      Tests the `NQuads` format support.

    - #### testGetNQuadsParser

          public void testGetNQuadsParser()

      Tests the `NQuads` parsing support.

    - #### testGetNQuadsWriter

          public void testGetNQuadsWriter()

      Tests the `NQuads` writing support.